%include	/usr/lib/rpm/macros.java
Summary:	MeCab module for Java
Summary(pl.UTF-8):	Moduł MeCab dla Javy
Name:		java-mecab
Version:	0.996
Release:	1
License:	GPL v2 or LGPL v2.1 or BSD
Group:		Libraries/Java
#Source0Download: http://code.google.com/p/mecab/downloads/list
Source0:	http://mecab.googlecode.com/files/mecab-java-%{version}.tar.gz
# Source0-md5:	e50066ae2458a47b5fdc7e119ccd9fdd
Patch0:		%{name}-opt.patch
URL:		http://code.google.com/p/mecab/
%if %(locale -a | grep -q '^en_US\.UTF-8$'; echo $?)
BuildRequires:	glibc-localedb-all
%endif
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	libstdc++-devel
BuildRequires:	mecab-devel >= 0.996
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jpackage-utils
Requires:	mecab >= 0.996
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MeCab module for Java.

%description -l pl.UTF-8
Moduł MeCab dla Javy.

%prep
%setup -q -n mecab-java-%{version}
%patch0 -p1

%build
# test.java contains UTF-8 string
export LC_ALL=en_US.UTF-8
# for test.java compilation using local MeCab
export CLASSPATH=.
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags}" \
	CPPFLAGS="%{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	INCLUDE=%{_jvmdir}/java/include

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_libdir}}

cp -p MeCab.jar $RPM_BUILD_ROOT%{_javadir}
install libMeCab.so $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING README bindings.html
%attr(755,root,root) %{_libdir}/libMeCab.so
%{_javadir}/MeCab.jar
%changelog
* Sun Feb 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-mecab.git;a=log;h=master

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> ee8d25e
- updated to 0.996

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 02b4199
- requires mecab 0.995

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 38cdeef
- updated to 0.995

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> a25ee34
- set CLASSPATH

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> ef285d4
- workaround for UTF-8 sourcecode

* Sat Nov 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 25e29a0
- new

